Skip to main content
Include the merchant access token from the merchant account API access flow as the Authorization header in your requests. Creating an API client is a two-step process: create the client, then delegate grants to it.
1

Create the API client

See the Create client API for full reference.
Request
curl -X POST https://api.dintero.com/v1/accounts/T11200001/auth/clients \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "API client for e-commerce",
    "description": "Created by partner",
    "client_id": "ecom-123"
  }'
Response
{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "API client for e-commerce",
    "description": "Created by partner",
    "client_id": "ecom-123",
    "client_secret": "JYCRP/x7iBGWA1fun0J9laH5sEg5cP9g/4QivhfGzm4"
}
2

Create client grants

See the Create client grant API for full reference.Use the id from the previous step as the client_id value.
Request
curl -X POST https://api.dintero.com/v1/accounts/T11200001/auth/client-grants \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "client_id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "audience": "https://api.dintero.com/v1/accounts/T11200001",
    "scope": [
      "checkout:admin"
    ],
    "type": "client_credentials"
  }'
Last modified on June 1, 2026